0

看网上说ruby不适合在windows下开发 会有很多问题 确实我遇到了几个不明原因跟的问题,还解决不了 就装了ubuntu16.04来试试ruby 然而依旧有各种问题 不管我从源码自编译 还是 sudo apt-get安装ruby gem install rails 都会失败 同时也试过rvm 但是不知道什么时候开始 不管怎么重装ruby 我gem env 和 gem source l的里面都是我改过的配置 重装不会把gem的配置还原 我想知道 gem的配置文件在哪 我好删掉 估计gem的配置有问题 导致rails装不上

我的问题是 gem的配置文件在哪? 不是解决现有问题啊。。。

3个回答

0

首先你要清楚知道错误的提示,使用者经常出现的错误有如下几个:
请检查
1.安装rails需要sqlite3和sqlite3-dev
2.需要zlib和zlib-dev
3.编译安装的话需要安装完整的编译工具,make、gcc,gcc-c++等

0

一般来说,提问的时候要专注一个问题,而且要把错误提示贴出来。

这么粗略地发问,我也不知道该怎么回答。
干脆你别学了。

0

报错不贴错误,只告诉你我出错了,谁能帮你

撰写答案

SegmentFault

一起探索更多未知

下载 App